/*
 * Superposition.java
 *
 * Created on March 15, 2003, 9:05 PM
 */

/**
 *
 * @author  Ravi
 */

import javax.swing.*;
import javax.swing.event.*;
import java.awt.*;
import java.awt.event.*;

public class Superposition extends javax.swing.JApplet implements ActionListener, Runnable{
    
    /** Creates new form Superposition */
    public boolean clicked, cg, paused;
    
    GraphPanel currentGraph;
    
    public Superposition() {
        initComponents();
        clicked = true;
        cg = true;
        paused = false;
        Stopper.setEnabled(false);
        Clear.setEnabled(false);
        currentGraph = new GraphPanel();
        
        
        Graph.addActionListener(this);
        Clear.addActionListener(this);
        Stopper.addActionListener(this);
        GraphAreaPanel.add(currentGraph, BorderLayout.CENTER);
        
        
        
    }
    
    public void init(){
           		String str = getParameter("fps");
		int fps = (str != null) ? Integer.parseInt(str) : 10;
		int delay = (fps > 0) ? (1000 / fps) : 100;
                
                currentGraph.GetDelay(delay);
                
                
                     Image rs = null;
        Image bc = null;
        try {
            rs = this.getImage(getCodeBase(), "redsquare.JPG");
            jLabel5.setIcon(new ImageIcon(rs));
            bc = this.getImage(getCodeBase(),"bluecircle.JPG");
            jLabel10.setIcon(new ImageIcon(bc));
            
           
            //labelFunction.setText("foo");
        } catch(Exception e){
            e.printStackTrace();
        }
                
                
                 SendToDrawer();
            Stopper.setLabel("Pause");
            paused = false;
            Stopper.setEnabled(true);
            Clear.setEnabled(true);
           
                
                

     
        
    }
    
    
    
    
    
    
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    private void initComponents() {//GEN-BEGIN:initComponents
        GraphAreaPanel = new javax.swing.JPanel();
        jPanel2 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        InputPanel = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        w1I = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        w2I = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        AI = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        tminI = new javax.swing.JTextField();
        jLabel8 = new javax.swing.JLabel();
        tmaxI = new javax.swing.JTextField();
        jLabel9 = new javax.swing.JLabel();
        tstepI = new javax.swing.JTextField();
        jLabel10 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        Graph = new javax.swing.JButton();
        jLabel13 = new javax.swing.JLabel();
        Clear = new javax.swing.JButton();
        jLabel14 = new javax.swing.JLabel();
        Stopper = new javax.swing.JButton();

        GraphAreaPanel.setLayout(new java.awt.BorderLayout());

        getContentPane().add(GraphAreaPanel, java.awt.BorderLayout.CENTER);

        jLabel1.setText("SUPERPOSITION OF TWO COSINE WAVES");
        jPanel2.add(jLabel1);

        getContentPane().add(jPanel2, java.awt.BorderLayout.NORTH);

        InputPanel.setLayout(new java.awt.GridLayout(3, 8, 10, 0));

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("w1:");
        InputPanel.add(jLabel2);

        w1I.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        w1I.setText("2.0");
        InputPanel.add(w1I);

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("w2:");
        InputPanel.add(jLabel3);

        w2I.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        w2I.setText("2.1");
        InputPanel.add(w2I);

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("Amplitude:");
        InputPanel.add(jLabel4);

        AI.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        AI.setText("5");
        InputPanel.add(AI);

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        InputPanel.add(jLabel5);

        jLabel6.setText("Envelope Speed");
        InputPanel.add(jLabel6);

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel7.setText("tmin:");
        InputPanel.add(jLabel7);

        tminI.setText("0");
        InputPanel.add(tminI);

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("tmax:");
        InputPanel.add(jLabel8);

        tmaxI.setText("100");
        InputPanel.add(tmaxI);

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("tstep:");
        InputPanel.add(jLabel9);

        tstepI.setText(".5");
        InputPanel.add(tstepI);

        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        InputPanel.add(jLabel10);

        jLabel12.setText("Phase Speed");
        InputPanel.add(jLabel12);

        InputPanel.add(jLabel11);

        Graph.setText("Graph");
        InputPanel.add(Graph);

        InputPanel.add(jLabel13);

        Clear.setText("Clear Graph");
        InputPanel.add(Clear);

        InputPanel.add(jLabel14);

        Stopper.setText("Pause");
        InputPanel.add(Stopper);

        getContentPane().add(InputPanel, java.awt.BorderLayout.SOUTH);

    }//GEN-END:initComponents
    
    public void run() {
    }
    
    public void actionPerformed(java.awt.event.ActionEvent actionEvent) {
        
        if (actionEvent.getSource()== Graph) {
            
            SendToDrawer();
            Stopper.setLabel("Pause");
            paused = false;
            Stopper.setEnabled(true);
            Clear.setEnabled(true);
        }
        if (actionEvent.getSource()==Stopper) {
            if (paused == false) {
                currentGraph.PauseMe();
                Stopper.setLabel("Resume");
                paused = true;
            }
            else {
                currentGraph.StartMe();
                Stopper.setLabel("Pause");
                paused = false;
            }
        }
        
        if (actionEvent.getSource() == Clear) {
            currentGraph.ClearMe();
            
            if (cg==true) {
                Clear.setLabel("Clear All");
                cg = false;
            }
            else {
                Clear.setLabel("Clear Graph");
                w1I.setText("");
                w2I.setText("");
                AI.setText("");
                tminI.setText("");
                tmaxI.setText("");
                tstepI.setText("");
                cg = true;
                Clear.setEnabled(false);
            }
            
            Stopper.setEnabled(false);

        }
        
    }
    
    
    
    
    
    
    
    
    public void SendToDrawer() {
        currentGraph.GetParam(Double.valueOf(w1I.getText()).doubleValue(), Double.valueOf(w2I.getText()).doubleValue(), Double.valueOf(AI.getText()).doubleValue(), Double.valueOf(tminI.getText()).doubleValue(), Double.valueOf(tmaxI.getText()).doubleValue(), Double.valueOf(tstepI.getText()).doubleValue());
    }
    
    
    
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JButton Clear;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JTextField w2I;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JTextField tstepI;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JTextField tminI;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JTextField tmaxI;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JButton Graph;
    private javax.swing.JPanel InputPanel;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JTextField w1I;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JButton Stopper;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JTextField AI;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JPanel GraphAreaPanel;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel5;
    // End of variables declaration//GEN-END:variables
    
}
